eth_getBlockByNumber

Network: Arbitrum One · Mainnet · Chain ID 42161 (0xa4b1)

Counts as 1 request. See Request Counting.

Returns information about a block by block number.

Parameters

  1. QUANTITY|TAG — Integer of a block number, or the string "earliest", "latest", "safe", "finalized", or "pending".
  2. Boolean — If true, returns full transaction objects; if false, returns only transaction hashes.

Returns

Object|null — A block object, or null when no block was found.

FieldTypeDescription
numberQUANTITYBlock number
hashDATABlock hash
parentHashDATAParent block hash
timestampQUANTITYUnix timestamp
gasUsedQUANTITYGas used
gasLimitQUANTITYGas limit
baseFeePerGasQUANTITYBase fee (EIP-1559)
transactionsArrayTransaction hashes or objects

Request

{ "jsonrpc": "2.0", "method": "eth_getBlockByNumber", "params": ["latest", false], "id": 1 }

Response

{ "jsonrpc": "2.0", "id": 1, "result": { "number": "0x134e82a", "hash": "0xabc...def", "parentHash": "0x123...456", "timestamp": "0x65a1b2c3", "gasUsed": "0x1234", "gasLimit": "0x1c9c380", "baseFeePerGas": "0x3b9aca00", "transactions": ["0x..."] } }

Code Examples

curl -X POST https://arbitrum-one-rpc.blockreq.com/v1/rpc/public \ -H "Content-Type: application/json" \ -d '{"jsonrpc":"2.0","method":"eth_getBlockByNumber","params":["latest",false],"id":1}'

Try It